diff -ruN a/debian/control b/debian/control
--- a/debian/control	2011-05-23 13:52:57.000000000 +0200
+++ b/debian/control	2011-07-31 16:53:51.320108156 +0200
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Frank Neuber <sct@kernelport.com>
-Build-Depends: debhelper (>= 5), autotools-dev, libhal-dev, libusb-dev, libfox-1.6-dev, libpcsclite-dev
+Build-Depends: debhelper (>= 5), autotools-dev, libhal-dev, libusb-dev, libfox-1.6-dev, libpcsclite-dev, libxml2-dev
 Standards-Version: 3.7.2
 
 Package: libifd-cyberjack6
diff -ruN a/debian/rules b/debian/rules
--- a/debian/rules	2011-05-23 09:29:08.000000000 +0200
+++ b/debian/rules	2011-07-31 16:45:01.264112251 +0200
@@ -32,7 +32,7 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc/cyberjack --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" 
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc/cyberjack --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"  --enable-hal
 	# --disable-hal
 
 
diff -ruN a/ifd/ifd.cpp b/ifd/ifd.cpp
--- a/ifd/ifd.cpp	2011-03-31 13:31:31.000000000 +0200
+++ b/ifd/ifd.cpp	2011-07-31 16:51:30.556109265 +0200
@@ -1100,8 +1100,8 @@
   pcsc_tlv++;
   len+=sizeof(PCSC_TLV_STRUCTURE);
 
-  DEBUGLUN(Lun, DEBUG_MASK_IFD, "  Reporting Feature FEATURE_MCT_READERDIRECT (%08x)", CJPCSC_VEN_IOCTRL_MCT_READERDIRECT);
-  pcsc_tlv->tag = FEATURE_MCT_READERDIRECT;
+  DEBUGLUN(Lun, DEBUG_MASK_IFD, "  Reporting Feature FEATURE_MCT_READER_DIRECT (%08x)", CJPCSC_VEN_IOCTRL_MCT_READERDIRECT);
+  pcsc_tlv->tag = FEATURE_MCT_READER_DIRECT;
   pcsc_tlv->length = 0x04; /* always 0x04 */
   pcsc_tlv->value = htonl(CJPCSC_VEN_IOCTRL_MCT_READERDIRECT);
   pcsc_tlv++;
